%define  _locallibdir     /usr/local/lib
%define  _localincludedir /usr/local/include

Name:           minizip
Version:        1.2.11
Release:        17%{?dist}
Summary:        Minizip contrib in zlib with the latest bug fixes and advanced features

License:        zlib
URL:            https://github.com/madler/zlib/tree/v1.2.11/contrib/%{name}
Source0:        https://github.com/nmoinvaz/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
#Source0:        https://gerrit.uniontech.com/plugins/gitiles/base/minizip/+archive/refs/heads/master.tar.gz
# pkgconfig file must have full paths specified.
#Patch0:         minizip-ng-3.0.2-fix_pkgconfig.patch

#BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: libbsd-devel
BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: libzstd-devel
BuildRequires: xz-devel
BuildRequires: openssl-devel

BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libtool-ltdl
BuildRequires: libtool

Patch0001:     automake.patch
Patch0002:     include.patch
Patch0003:     traversal.patch

%description
Minizip zlib contribution that includes:
* AES encryption
* I/O buffering
* PKWARE disk splitting
It also has the latest bug fixes that having been found all over the internet.


%package devel
Summary:    Development files for %{name}
Requires:   %{name}%{?_isa} = %{version}-%{release}
Requires:   zlib-devel

%description devel
Development files for %{name} library.


%prep
%autosetup -p 1 -n %{name}-%{version}


%build
autoreconf --install
%__automake
%_configure
%make_build 



%install
%make_install


%files
#%license LICENSE
#%doc README.md
%{_locallibdir}/lib%{name}.so*
%{_locallibdir}/lib%{name}.a
%{_locallibdir}/lib%{name}.la


%files devel
%{_locallibdir}/lib%{name}.so
%{_locallibdir}/pkgconfig/%{name}.pc
#%{_libdir}/cmake/%{name}
%{_localincludedir}/%{name}/*.h


%changelog
* Mon Nov 01 2021 Zhang taikun <zhangtaikun@redhat.com> - 1.2.11-17
- Update to zlib/minizip-1.2.11-17 

